////////////////////////////////////////////////////////////////////////////////
//                            BboxUpdater.h                                   //
////////////////////////////////////////////////////////////////////////////////

#ifndef BBOXUPDATER_H
#define BBOXUPDATER_H

#include "X3DBboxUpdater.h"
#include "BboxUpdaterGlobalVariables.h"
#include "DFS.h"

class Scene;

namespace X3DTK {

/// X3DBboxUpdater concept.

class BboxUpdater : public X3DBboxUpdater
{
public:
  /// Constructor.
  BboxUpdater();
  /// Destructor.
  virtual ~BboxUpdater();
  
  void setComponentVisitor(X3DComponentVisitor *component);
  
  virtual void update(X3DNode *N, bool staticProcessing = false);
 
protected:
  BboxUpdaterGlobalVariables *globalVariables;
  DFS *dfs;
};

}

#endif
