////////////////////////////////////////////////////////////////////////////////
//                            GLCreatorTexturingVisitor.h                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLCREATORTexturingVISITOR_H
#define GLCREATORTexturingVISITOR_H

#include "TexturingVisitor.h"
#include "GLCreatorGlobalVariables.h"

namespace X3DTK {

class ImageTexture;

/// Visitor for the Texturing component of the GLCreator module.

class GLCreatorTexturingVisitor : public TexturingVisitor
{
public:
  /// Constructor.
  GLCreatorTexturingVisitor();
  /// Destructor.
  virtual ~GLCreatorTexturingVisitor();

  /// Enters a ImageTexture.
  virtual void enterImageTexture(ImageTexture *I) const;

protected:
  GLCreatorGlobalVariables *globalVariables;
};

}

#endif
