////////////////////////////////////////////////////////////////////////////////
//                            GLNormalRenderer.h                              //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLNORMALRENDERER_H
#define GLNORMALRENDERER_H

#include "DFS.h"

namespace X3DTK {

class X3DGLNode;

/// GLNormalRenderer module.

class GLNormalRenderer
{
public:
  /// Constructor.
  GLNormalRenderer();
  /// Destructor.
  virtual ~GLNormalRenderer();
  
  void setComponentVisitor(X3DComponentVisitor *component);
  
  /// Renders a GLScene.
  virtual void render(X3DGLNode *N) const;

protected:
  DFS *dfs;
};

}

#endif
