////////////////////////////////////////////////////////////////////////////////
//                            GLNormalRendererGLGroupingVisitor.h             //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLNORMALRENDERERGLGROUPINGVISITOR_H
#define GLNORMALRENDERERGLGROUPINGVISITOR_H

#include "GLGroupingVisitor.h"

namespace X3DTK {

class GLTransform;

/// Visitor for the GLGrouping component of the GLNormalRenderer module.

class GLNormalRendererGLGroupingVisitor : public GLGroupingVisitor
{
public:
  /// Constructor.
  GLNormalRendererGLGroupingVisitor();
  /// Destructor.
  virtual ~GLNormalRendererGLGroupingVisitor();

  /// Enters a GLTransform.
  virtual void enterGLTransform(GLTransform *G) const;

  /// Leaves a GLTransform.
  virtual void leaveGLTransform(GLTransform *G) const;
};

}

#endif
