////////////////////////////////////////////////////////////////////////////////
//                            GLShape.h                                       //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLSHAPE_H
#define GLSHAPE_H

#include "X3DGLShapeNode.h"

namespace X3DTK {

class Shape;

/// Class providing a implementation of the X3DGLNode corresponding to the X3DNode 
/// Shape.

class GLShape : public X3DGLShapeNode
{
public:
  /// Constructor.
  GLShape();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Destructor.
  ~GLShape();
  
protected:  
  /// Copy constructor.		
  GLShape(const GLShape &S);
};

}

#endif
