////////////////////////////////////////////////////////////////////////////////
//                            GLUpdaterGLTexturingVisitor.h                   //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLUPDATERGLTEXTURINGVISITOR_H
#define GLUPDATERGLTEXTURINGVISITOR_H

#include "GLTexturingVisitor.h"
#include "GLUpdaterGlobalVariables.h"

namespace X3DTK {

class GLImageTexture;

/// Visitor for the GLTexturing component of the GLUpdater module.

class GLUpdaterGLTexturingVisitor : public GLTexturingVisitor
{
public:
  /// Constructor.
  GLUpdaterGLTexturingVisitor();
  /// Destructor.
  virtual ~GLUpdaterGLTexturingVisitor();

  /// Enters a ImageTexture.
  virtual void enterGLImageTexture(GLImageTexture *G) const;



protected:
  GLUpdaterGlobalVariables *globalVariables;
};

}

#endif
