////////////////////////////////////////////////////////////////////////////////
//                            X3DGLAppearanceChildNode.h                      //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef X3DGLAPPEARANCECHILDNODE_H
#define X3DGLAPPEARANCECHILDNODE_H

#include "X3DGLNode.h"

namespace X3DTK {

/// Class providing an interface for the equivalent of the X3DAppearanceChildNode in the X3DGL tree.

class X3DGLAppearanceChildNode : public X3DGLNode
{
public:
  /// Constructor.
  X3DGLAppearanceChildNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGLAppearanceChildNode();

protected:
  /// Copy constructor.
  X3DGLAppearanceChildNode(const X3DGLAppearanceChildNode &N);
};

}

#endif
