////////////////////////////////////////////////////////////////////////////////
//                            X3DGLAppearanceNode.h                           //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef X3DGLAPPEARANCENODE_H
#define X3DGLAPPEARANCENODE_H

#include "X3DGLNode.h"

namespace X3DTK {

/// Class providing an interface for the equivalent of the X3DAppearanceNode in the X3DGL tree.

class X3DGLAppearanceNode : public X3DGLNode
{
public:
  /// Constructor.
  X3DGLAppearanceNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGLAppearanceNode();

protected:
  /// Copy constructor.
  X3DGLAppearanceNode(const X3DGLAppearanceNode &N);
};

}

#endif
