////////////////////////////////////////////////////////////////////////////////
//                            X3DGLUpdater.h                                  //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLUPDATER_H
#define X3DGLUPDATER_H

#include "X3DOnePassProcessor.h"

namespace X3DTK {

class GLScene;

/// GLUpdater module.

class X3DGLUpdater : public X3DOnePassProcessor
{
public:
  /// Constructor.
  X3DGLUpdater();
  /// Destructor.
  virtual ~X3DGLUpdater();
  
  /// Updates the GLScene.
  virtual void update(GLScene *S) = 0;
};

}

#endif
