#include "DefaultCoreCreator.h"
#include "CoreNodes.h"

using namespace X3DTK;

DefaultCoreCreator::DefaultCoreCreator()
{
  defineNewCreationFunction<CoreCreator>("X3DNode", 0);
  defineNewCreationFunction<DefaultCoreCreator>("Scene", &DefaultCoreCreator::createScene);
}

DefaultCoreCreator::~DefaultCoreCreator()
{
}

SFNode DefaultCoreCreator::createScene() const
{
  return new Scene();
}
