#include "X3DComponent.h"
#include "Component.h"

#include <iostream>

using namespace std;
using namespace X3DTK;

X3DComponent::X3DComponent()
: _proxyNumber(0)
{
}

X3DComponent::~X3DComponent()
{
  //cout << "destr X3DComponent " << component->getName() << " = " << (void *)this << endl;
  Component::removeOneReference(component);
}

void X3DComponent::addOneProxy()
{
  ++_proxyNumber;  
}

void X3DComponent::removeOneProxy()
{
  --_proxyNumber;  
}

void X3DComponent::defineComponentName(const SFString &name)
{
  //cout << "new X3DComponent " << name << " = " << (void *)this << endl;
  component = Component::getComponent(name);
  
  if (component == 0)
    component = new Component(name);
  
  component->addOneReference();  
}
