#include "DefaultDFS.h"
#include "DefaultDFSCoreWalker.h"
#include "DefaultDFSGeometry3DWalker.h"
#include "DefaultDFSGroupingWalker.h"
#include "DefaultDFSRenderingWalker.h"
#include "DefaultDFSShapeWalker.h"
#include "DefaultDFSTexturingWalker.h"

using namespace X3DTK;

DefaultDFS::DefaultDFS()
{
  setComponentWalker(new DefaultDFSCoreWalker());
  setComponentWalker(new DefaultDFSGeometry3DWalker());
  setComponentWalker(new DefaultDFSGroupingWalker());
  setComponentWalker(new DefaultDFSRenderingWalker());
  setComponentWalker(new DefaultDFSShapeWalker());
  setComponentWalker(new DefaultDFSTexturingWalker());
}

DefaultDFS::~DefaultDFS()
{
}

void DefaultDFS::setComponentWalker(X3DComponentWalker *component)
{
  DFS::setComponentWalker(component);
}
