#include "DefaultGLDFS.h"
#include "DefaultGLDFSGLCoreWalker.h"
#include "DefaultGLDFSGLGeometry3DWalker.h"
#include "DefaultGLDFSGLGroupingWalker.h"
#include "DefaultGLDFSGLRenderingWalker.h"
#include "DefaultGLDFSGLShapeWalker.h"
#include "DefaultGLDFSGLTexturingWalker.h"

#include <iostream>

using namespace X3DTK;
using namespace std;

DefaultGLDFS::DefaultGLDFS()
: DFS()
{
  setComponentWalker(new DefaultGLDFSGLCoreWalker());
  setComponentWalker(new DefaultGLDFSGLGeometry3DWalker());
  setComponentWalker(new DefaultGLDFSGLGroupingWalker());
  setComponentWalker(new DefaultGLDFSGLRenderingWalker());
  setComponentWalker(new DefaultGLDFSGLShapeWalker());
  setComponentWalker(new DefaultGLDFSGLTexturingWalker());
}

DefaultGLDFS::~DefaultGLDFS()
{
}

void DefaultGLDFS::setComponentWalker(X3DComponentWalker *component)
{
  DFS::setComponentWalker(component);
}
