#include "GLPointSet.h"
#include "PointSet.h"

using namespace X3DTK;

GLPointSet::GLPointSet()
: X3DGLGeometryNode(), _color(false)
{
  defineTagName("GLPointSet", "GLRendering");
}
            
GLPointSet::GLPointSet(const GLPointSet &P)
: X3DGLGeometryNode(P), _color(P._color), _pointArray(P._pointArray), _pointSetArray(P._pointSetArray)
{
  defineTagName("GLPointSet", "GLRendering");
}

SFNode GLPointSet::clone() const
{
  return new GLPointSet(*this);
}

GLPointSet::~GLPointSet()
{
}
