#include "GLCreatorGlobalVariables.h"

#include <iostream>

using namespace X3DTK;
using namespace std;

GLCreatorGlobalVariables::GLCreatorGlobalVariables()
: GlobalVariables(), _root(0)
{
}

GLCreatorGlobalVariables::~GLCreatorGlobalVariables()
{
}

void GLCreatorGlobalVariables::init()
{
  _root = 0;
}

void GLCreatorGlobalVariables::finish()
{
  _nodeStack.clear();
}

void GLCreatorGlobalVariables::pushNode(GLSFNode N)
{
  if (_root == 0)
    _root = N;
    
  _nodeStack.push_front(N);
}

void GLCreatorGlobalVariables::popNode()
{
  _nodeStack.pop_front();
}
