////////////////////////////////////////////////////////////////////////////////
//                            GLBbox.h                                        //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef GLBBOX_H
#define GLBBOX_H

#include "Bbox.h"
#include "BboxDrawArray.h"

namespace X3DTK {

/// Class drawing a Bbox. 

class GLBbox : public Bbox
{
public:
  /// Constructor.
  GLBbox();
  /// Explicit constructor.
  explicit GLBbox(const Bbox &BB);
  /// Explicit constructor.
  explicit GLBbox(const SFVec3f &min, const SFVec3f &max);
  
  /// Draw method.
  void draw() const;

protected:
  static BboxDrawArray bbox_array;
};

}

#endif
