////////////////////////////////////////////////////////////////////////////////
//                            GLCoreWalker.h                                  //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLCOREWALKER_H
#define GLCOREWALKER_H

#include "X3DComponentWalker.h"
#include "X3DGLNode.h"

namespace X3DTK {

/// Concrete component walker for the GLCore component.

class GLCoreWalker : public X3DComponentWalker
{
public:
  /// Constructor.
  GLCoreWalker();
  /// Destructor.
  virtual ~GLCoreWalker();
  
  /// Walks an X3DGLNode.
  virtual void walkX3DGLNode(X3DGLNode *N) const;
};

}

#endif
