////////////////////////////////////////////////////////////////////////////////
//                            GLFillProperties.h                              //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLFILLPROPERTIES_H
#define GLFILLPROPERTIES_H

#include "X3DGLAppearanceChildNode.h"

namespace X3DTK {

class FillProperties;

/// Class providing a implementation of the X3DGLNode corresponding to the X3DNode 
/// FillProperties.

class GLFillProperties : public X3DGLAppearanceChildNode
{
public:
  /// Constructor.
  GLFillProperties();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Destructor.
  ~GLFillProperties();

protected:
  /// Copy constructor.		 
  GLFillProperties(const GLFillProperties &F);
};

}

#endif
