////////////////////////////////////////////////////////////////////////////////
//                            GLGroup.h                                       //
//////////////////////////////////////////////////////////////////////////////// 

#ifndef GLGROUP_H
#define GLGROUP_H

#include "X3DGLGroupingNode.h"

namespace X3DTK {

class Group;

/// Class providing a implementation of the X3DGLNode corresponding to the X3DNode 
/// Group.

class GLGroup : public X3DGLGroupingNode
{
public:
  /// Constructor.
  GLGroup();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Destructor.
  ~GLGroup();

protected:
  /// Copy constructor.	
  GLGroup(const GLGroup &G);
};

}

#endif
