////////////////////////////////////////////////////////////////////////////////
//                            GLNormalRendererGLCoreVisitor.h                 //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLNORMALRENDERERGLCOREVISITOR_H
#define GLNORMALRENDERERGLCOREVISITOR_H

#include <X3DTK/kernel.h>

namespace X3DTK {

class GLScene;

/// Visitor for the GLCore component of the GLNormalRenderer module.

class GLNormalRendererGLCoreVisitor : public GLCoreVisitor
{
public:
  /// Constructor.
  GLNormalRendererGLCoreVisitor();
  /// Destructor.
  virtual ~GLNormalRendererGLCoreVisitor();

  /// Enters a GLScene.
  virtual void enterGLScene(GLScene *G) const;
};

}

#endif
