////////////////////////////////////////////////////////////////////////////////
//                            GLUpdaterGLCoreVisitor.h                        //
////////////////////////////////////////////////////////////////////////////////

#ifndef GLUPDATERGLCOREVISITOR_H
#define GLUPDATERGLCOREVISITOR_H

#include "GLCoreVisitor.h"
#include "GLUpdaterGlobalVariables.h"

namespace X3DTK {

class GLScene;

/// Visitor for the GLCore component of the GLUpdater module.

class GLUpdaterGLCoreVisitor : public GLCoreVisitor
{
public:
  /// Constructor.
  GLUpdaterGLCoreVisitor();
  /// Destructor.
  virtual ~GLUpdaterGLCoreVisitor();

  /// Enters a GLScene.
  virtual void enterGLScene(GLScene *G) const;

protected:
  GLUpdaterGlobalVariables *globalVariables;
};

}

#endif
