////////////////////////////////////////////////////////////////////////////////
//                            X3DGLCreator.h                                  //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLCREATOR_H
#define X3DGLCREATOR_H

#include "X3DOnePassProcessor.h"
#include "X3DNode.h"

namespace X3DTK {

class X3DGLNode;

/// X3DGLCreator concept.

class X3DGLCreator : public X3DOnePassProcessor
{
public:
  /// Constructor.
  X3DGLCreator();
  /// Destructor.
  virtual ~X3DGLCreator() = 0;

  /// Converts S to a GLScene.
  virtual X3DGLNode *create(X3DNode *N) = 0;
};

}

#endif
