////////////////////////////////////////////////////////////////////////////////
//                            X3DGLGeometry3DNode.h                           //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLGEOMETRY3DNODE_H
#define X3DGLGEOMETRY3DNODE_H

#include "X3DGLGeometryNode.h"

namespace X3DTK {

/// Class providing an interface for the equivalent of the X3DGeometry3DNode in the X3DGL tree.

class X3DGLGeometry3DNode : public X3DGLGeometryNode
{
public:  
  /// Constructor
  X3DGLGeometry3DNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGLGeometry3DNode();

protected:
  /// Copy constructor.
  X3DGLGeometry3DNode(const X3DGLGeometry3DNode &N);
};

}

#endif
