////////////////////////////////////////////////////////////////////////////////
//                            X3DGLGeometryNode.h                             //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLGEOMETRYNODE_H
#define X3DGLGEOMETRYNODE_H

#include "X3DGLNode.h"

namespace X3DTK {

/// Class providing an interface for the equivalent of the X3DGeometryNode in the X3DGL tree.

class X3DGLGeometryNode : public X3DGLNode
{
public:  
  /// Constructor
  X3DGLGeometryNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGLGeometryNode();

protected:
  /// Copy Constructor.
  X3DGLGeometryNode(const X3DGLGeometryNode &N);  
};

}

#endif
