////////////////////////////////////////////////////////////////////////////////
//                            X3DGLTextureNode.h                              //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DGLTEXTURENODE_H
#define X3DGLTEXTURENODE_H

#include "X3DGLAppearanceChildNode.h"

namespace X3DTK {

/// Class providing an interface for the equivalent of the X3DTextureNode in the X3DGL tree.

class X3DGLTextureNode : public X3DGLAppearanceChildNode
{
public:  
  /// Constructor.
  X3DGLTextureNode();
  /// Clones the node.
  virtual SFNode clone() const;
  /// Virtual destructor.
  virtual ~X3DGLTextureNode();

protected:
  /// Copy constructor.	
  X3DGLTextureNode(const X3DGLTextureNode &N);
};

}

#endif
