////////////////////////////////////////////////////////////////////////////////
//                            X3DObject.h                                     //
////////////////////////////////////////////////////////////////////////////////

#ifndef X3DOBJECT_H
#define X3DOBJECT_H

#include "X3DFileElement.h"

namespace X3DTK {

/// Base class of the <a href="../../doc/X3D_Specs/Part01/components/core.html">Core 
/// component</a> for the X3D nodes.

class X3DObject
{
public:
  /// Constructor.
  X3DObject();
  /// Copy constructor.
  X3DObject(const X3DObject &N);  

  /// Virtual destructor.
  virtual ~X3DObject();
};

}

#endif
