#include "ComponentCodeGenerator.h"

#include "X3DTypes.h"

#include <iostream>

using namespace X3D;
using namespace std;

int main(int argc, char *argv[])
{
  if (argc < 2)
  {
    cerr << "usage: componentCodeGenerator file.ccg" << endl;
    exit(0);
  }
  
  SFString file(argv[1]);
  if (file.substr(file.length() - 4, file.length()) != ".ccg")
  {
    cerr << "usage: componentCodeGenerator file.ccg" << endl;
    exit(0);
  }  
  
  ComponentCodeGenerator::generateFilesFromFile(file);
  
  return 1;
}
