#include "DefaultNodeCreationProxy.h"
#include "DefaultCoreCreator.h"
#include "DefaultGeometry3DCreator.h"
#include "DefaultGroupingCreator.h"
#include "DefaultRenderingCreator.h"
#include "DefaultShapeCreator.h"
#include "DefaultTexturingCreator.h"

#include <iostream>

using namespace X3DTK;
using namespace std;

DefaultNodeCreationProxy::DefaultNodeCreationProxy()
: NodeCreationProxy()
{
  setComponentCreator(new DefaultCoreCreator());  
  setComponentCreator(new DefaultGeometry3DCreator());  
  setComponentCreator(new DefaultGroupingCreator());  
  setComponentCreator(new DefaultRenderingCreator());  
  setComponentCreator(new DefaultShapeCreator());  
  setComponentCreator(new DefaultTexturingCreator());  
}

DefaultNodeCreationProxy::~DefaultNodeCreationProxy()
{
}
