#include "GLTransform.h"
#include "Transform.h"
#include "GLScene.h"

using namespace X3DTK;
using namespace std;

GLTransform::GLTransform()
: X3DGLGroupingNode(), _transformMatrix(MFFloat(16))
{
  defineTagName("GLTransform", "GLGrouping");
}

GLTransform::GLTransform(const GLTransform &T)
: X3DGLGroupingNode(T), _transformMatrix(T._transformMatrix) 
{
  defineTagName("GLTransform", "GLGrouping");
}

SFNode GLTransform::clone() const
{
  return new GLTransform(*this);
}

GLTransform::~GLTransform()
{
}
