#include "GLIndexedLineSet.h"
#include "IndexedLineSet.h"

using namespace X3DTK;

GLIndexedLineSet::GLIndexedLineSet()
: X3DGLGeometryNode(), _lineWidth(0.0f), _colorPerVertex(false), _color(false)
{
  defineTagName("GLIndexedLineSet", "GLRendering");
}

GLIndexedLineSet::GLIndexedLineSet(const GLIndexedLineSet &I)
: X3DGLGeometryNode(I), _lineWidth(I._lineWidth), _colorPerVertex(I._colorPerVertex), _color(I._color), _pointArray(I._pointArray), _lineArrayArray(I._lineArrayArray), _lineIndexArray(I._lineIndexArray), _pointLineArray(I._pointLineArray)

{
  defineTagName("GLIndexedLineSet", "GLRendering");
}  

SFNode GLIndexedLineSet::clone() const
{
  return new GLIndexedLineSet(*this);
}

GLIndexedLineSet::~GLIndexedLineSet()
{
}
