#include "GLTriangleFanSet.h"
#include "TriangleFanSet.h"

using namespace X3DTK;

GLTriangleFanSet::GLTriangleFanSet()
: X3DGLComposedGeometryNode(), _ccw(true), _solid(true), _verticesDuplicated(false), _color(false), _texCoord(false)
{
  defineTagName("GLTriangleFanSet", "GLRendering");
}
           
GLTriangleFanSet::GLTriangleFanSet(const GLTriangleFanSet &T)
: X3DGLComposedGeometryNode(T), _ccw(T._ccw), _solid(T._solid), _verticesDuplicated(T._verticesDuplicated), _color(T._color), _texCoord(T._texCoord), _C4F_N3F_V3FvertexFanArrayArray(T._C4F_N3F_V3FvertexFanArrayArray), _N3F_V3FvertexFanArrayArray(T._N3F_V3FvertexFanArrayArray) 
{
  defineTagName("GLTriangleFanSet", "GLRendering");
}

SFNode GLTriangleFanSet::clone() const
{
  return new GLTriangleFanSet(*this);
}

GLTriangleFanSet::~GLTriangleFanSet()
{
}
