#include "GLTriangleSet.h"
#include "TriangleSet.h"

using namespace X3DTK;

GLTriangleSet::GLTriangleSet()
: X3DGLComposedGeometryNode(), _ccw(true), _solid(true), _color(false), _texCoord(false)
{
  defineTagName("GLTriangleSet", "GLRendering");
}
           
GLTriangleSet::GLTriangleSet(const GLTriangleSet &T)
: X3DGLComposedGeometryNode(T), _ccw(T._ccw), _solid(T._solid), _color(T._color), _texCoord(T._texCoord), _N3F_V3FvertexTriangleArray(T._N3F_V3FvertexTriangleArray) , _C4F_N3F_V3FvertexTriangleArray(T._C4F_N3F_V3FvertexTriangleArray)
{
  defineTagName("GLTriangleSet", "GLRendering");
}

SFNode GLTriangleSet::clone() const
{
  return new GLTriangleSet(*this);
}

GLTriangleSet::~GLTriangleSet()
{
}
