#include "GLFillProperties.h"
#include "FillProperties.h"

using namespace X3DTK;

GLFillProperties::GLFillProperties()
: X3DGLAppearanceChildNode()
{
  defineTagName("GLFillProperties", "GLShape");
}

GLFillProperties::GLFillProperties(const GLFillProperties &F)
: X3DGLAppearanceChildNode(F)
{
  defineTagName("GLFillProperties", "GLShape");
}

SFNode GLFillProperties::clone() const
{
  return new GLFillProperties(*this);
}

GLFillProperties::~GLFillProperties()
{
}
