TEMPLATE = lib 
CONFIG *= staticlib
TARGET = x3dglnodes

VPATH = GLCore \
        GLGeometry3D \
        GLGrouping \
        GLRendering \
        GLShape \
        GLTexturing 

     
TARGETDEPS = ../../../lib/libx3dtypes.a \
             ../../../lib/libx3dnodes.a \
               
HEADERS = X3DGLNode.h \
          GLScene.h \
          CylinderDrawArray.h \   
          GLCylinder.h \
          SphereDrawArray.h \
          GLSphere.h \
          BoxDrawArray.h \
          GLBox.h \
          ConeDrawArray.h \
          GLCone.h \
          GLIndexedFaceSet.h \         
          GLGroup.h \
          GLStaticGroup.h \
          GLTransform.h \
          X3DGLChildNode.h \
          X3DGLGroupingNode.h \
          GLIndexedLineSet.h \
          GLPointSet.h \
          GLTriangleFanSet.h \
          GLTriangleSet.h \        
          GLTriangleStripSet.h \
          X3DGLComposedGeometryNode.h \
          X3DGLGeometry3DNode.h \
          X3DGLGeometryNode.h \          
          GLAppearance.h \
          GLFillProperties.h \
          GLLineProperties.h \
          GLMaterial.h \
          GLShape.h \
          X3DGLAppearanceChildNode.h \
          X3DGLAppearanceNode.h \
          X3DGLMaterialNode.h \
          X3DGLShapeNode.h \
          GLImageTexture.h \
          X3DGLTexture2DNode.h \
          X3DGLTextureNode.h \
          X3DGLTextureTransformNode.h \
          
SOURCES = X3DGLNode.cpp \
          GLScene.cpp \
          CylinderDrawArray.cpp \   
          GLCylinder.cpp \
          SphereDrawArray.cpp \
          GLSphere.cpp \
          BoxDrawArray.cpp \
          GLBox.cpp \
          ConeDrawArray.cpp \
          GLCone.cpp \
          GLIndexedFaceSet.cpp \         
          GLGroup.cpp \
          GLStaticGroup.cpp \
          GLTransform.cpp \
          X3DGLChildNode.cpp \
          X3DGLGroupingNode.cpp \
          GLIndexedLineSet.cpp \
          GLPointSet.cpp \
          GLTriangleFanSet.cpp \
          GLTriangleSet.cpp \        
          GLTriangleStripSet.cpp \
          X3DGLComposedGeometryNode.cpp \
          X3DGLGeometry3DNode.cpp \
          X3DGLGeometryNode.cpp \          
          GLAppearance.cpp \
          GLFillProperties.cpp \
          GLLineProperties.cpp \
          GLMaterial.cpp \
          GLShape.cpp \
          X3DGLAppearanceChildNode.cpp \
          X3DGLAppearanceNode.cpp \
          X3DGLMaterialNode.cpp \
          X3DGLShapeNode.cpp \
          GLImageTexture.cpp \
          X3DGLTexture2DNode.cpp \
          X3DGLTextureNode.cpp \
          X3DGLTextureTransformNode.cpp \
                    
include(../../x3dtoolkit.pri)
