#include "GLRendererGLCoreVisitor.h"
#include "GLScene.h"


using namespace X3DTK;
GLRendererGLCoreVisitor::GLRendererGLCoreVisitor()
: GLCoreVisitor()
{
  // Enter functions.
  defineNewEnterFunction<GLRendererGLCoreVisitor, GLScene>(&GLRendererGLCoreVisitor::enterGLScene);


  // GlobalVariables assignation.
  globalVariables = GVManager::getInstanceOf<GLRendererGlobalVariables>();
}

GLRendererGLCoreVisitor::~GLRendererGLCoreVisitor()
{
}

void GLRendererGLCoreVisitor::enterGLScene(GLScene *G) const
{
  glDisable(GL_COLOR_MATERIAL);
}

