#include "MemReleaserGlobalVariables.h"

using namespace X3DTK;

MemReleaserGlobalVariables::MemReleaserGlobalVariables()
: GlobalVariables(), _toDelete(false)
{
  _nodeStack.push_front(0);
}

MemReleaserGlobalVariables::~MemReleaserGlobalVariables()
{
}

void MemReleaserGlobalVariables::pushParent(SFNode P)
{
  _nodeStack.push_front(P);
}

void MemReleaserGlobalVariables::popParent()
{
  _nodeStack.pop_front();
}

void MemReleaserGlobalVariables::setDelete(bool value)
{
  _toDelete = value;
}
